#
# Conditional build:
%bcond_with	tests		# unit tests (use network)
#
Summary:	AWS C S3 library
Summary(pl.UTF-8):	Biblioteka AWS C S3
Name:		aws-c-s3
Version:	0.8.1
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/awslabs/aws-c-s3/releases
Source0:	https://github.com/awslabs/aws-c-s3/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d78eefcdc6b2fac2069f8e00f7c7ff27
URL:		https://github.com/awslabs/aws-c-s3
BuildRequires:	aws-c-auth-devel
BuildRequires:	aws-c-common-devel
BuildRequires:	aws-c-http-devel
BuildRequires:	aws-checksums-devel
BuildRequires:	cmake >= 3.9
BuildRequires:	gcc >= 5:3.2
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The AWS C S3 library is an asynchronous AWS S3 client focused on
maximizing throughput and network utilization.

%description -l pl.UTF-8
Biblioteka AWS C S3 to asynchroniczny klient AWS S3, skupiający się na
maksymalizacji przepustowości i wykorzystania sieci.

%package devel
Summary:	Header files for AWS C S3 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AWS C S3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aws-c-auth-devel
Requires:	aws-c-http-devel
Requires:	aws-checksums-devel

%description devel
Header files for AWS C S3 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AWS C S3.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{!?with_tests:-DBUILD_TESTING=OFF}

%{__make}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE README.md
%attr(755,root,root) %{_libdir}/libaws-c-s3.so.*.*.*
%{_libdir}/libaws-c-s3.so.0unstable

%files devel
%defattr(644,root,root,755)
%doc docs/{images,*.md}
%{_libdir}/libaws-c-s3.so
%{_includedir}/aws/s3
%{_libdir}/cmake/aws-c-s3
%changelog
* Sun Jun 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aws-c-s3.git;a=log;h=auto/th/aws-c-s3-0.8.1-1

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 8f214f8
- new

